!/*@@
!
! $Id: leap.f90,v 1.8 1997/07/21 13:52:05 haupt Exp $
!
!@@*/

!/*@@
!   @routine leap
!   @author M.Huq S.Klasky 
!   @desc
!   This routine will perform a 3 level leap frog
!   @enddesc
!   @calledby tstep
!   @comment
!   uses module tensors
!   @endcomment
!@@*/

subroutine leap(sn,snm1,dt,rhs,snp1)
use input_params
use tensors
implicit none
type(Gridfunction),dimension(3,3)    :: sn,snm1,snp1,rhs
real*8                               :: dt
integer i,j

	do i = 1 ,3
	do j = i ,3
	      snp1(i,j)%d = snm1(i,j)%d + 2.0d0 * dt * rhs(i,j)%d
	end do
	end do


return
end




